Site Map - skip to main content

Hacker Public Radio

Your ideas, projects, opinions - podcasted.

New episodes Monday through Friday.


hpr3259 :: Nextcloud - The easy way

Self hosting a Nextcloud instance.

<< First, < Previous, Latest >>

Host Image
Hosted by Archer72 on 2021-01-28 is flagged as Clean and is released under a CC-BY-SA license.
Tags: self hosting, cloud, linux, raspberry pi.
Listen in ogg, spx, or mp3 format. | Comments (1)

https://peyanski.com/personal-cloud-from-home-nextcloud-on-raspberry-pi/#Nextcloud_initial_setup

sudo apt-get update && sudo apt-get upgrade -y

Start the Nextcloud on Raspberry Pi installation with the following script.

curl -sSL https://raw.githubusercontent.com/nextcloud/nextcloudpi/master/install.sh | sudo bash

Github script content

https://raw.githubusercontent.com/nextcloud/nextcloudpi/master/install.sh


#!/bin/bash

# NextCloudPi installation script
#
# Copyleft 2017 by Ignacio Nunez Hernanz <nacho _a_t_ ownyourbits _d_o_t_ com>
# GPL licensed (see end of file) * Use at your own risk!
#
# Usage: ./install.sh
#
# more details at https://ownyourbits.com

BRANCH=master
#DBG=x

set -e$DBG

TMPDIR="$(mktemp -d /tmp/nextcloudpi.XXXXXX || (echo "Failed to create temp dir.
Exiting" >&2 ; exit 1) )"
trap "rm -rf "${TMPDIR}" ; exit 0" 0 1 2 3 15

[[ ${EUID} -ne 0 ]] && {
  printf "Must be run as root. Try 'sudo $0'n"
  exit 1
}

export PATH="/usr/local/sbin:/usr/sbin:/sbin:${PATH}"

# check installed software
type mysqld  &>/dev/null && echo ">>> WARNING: existing mysqld configuration
will be changed <<<"

# get install code
echo "Getting build code..."
apt-get update
apt-get install --no-install-recommends -y wget ca-certificates sudo lsb-release

pushd "$TMPDIR"
wget -qO- --content-disposition
https://github.com/nextcloud/nextcloudpi/archive/"$BRANCH"/latest.tar.gz
  | tar -xz
  || exit 1
cd - && cd "$TMPDIR"/nextcloudpi-"$BRANCH"

# install NCP
echo -e "nInstalling NextCloudPi..."
source etc/library.sh

# check distro
check_distro etc/ncp.cfg || {
  echo "ERROR: distro not supported:";
  cat /etc/issue
  exit 1;
}


mkdir -p /usr/local/etc/ncp-config.d/
cp etc/ncp-config.d/nc-nextcloud.cfg /usr/local/etc/ncp-config.d/
cp etc/library.sh /usr/local/etc/
cp etc/ncp.cfg /usr/local/etc/

install_app    lamp.sh
install_app    bin/ncp/CONFIG/nc-nextcloud.sh
run_app_unsafe bin/ncp/CONFIG/nc-nextcloud.sh
systemctl restart mysqld # TODO this shouldn't be necessary, but somehow it's
needed in Debian 9.6. Fixme
install_app    ncp.sh
run_app_unsafe bin/ncp/CONFIG/nc-init.sh
bash /usr/local/bin/ncp-provisioning.sh

popd

IFACE="$( ip r | grep "default via" | awk '{ print $5 }' | head -1 )"
IP="$( ip a show dev "$IFACE" | grep global | grep -oP 'd{1,3}(.d{1,3}){3}' |
head -1 )"

echo "Done.

First: Visit https://$IP/  https://nextcloudpi.local/ (also
https://nextcloudpi.lan/ or https://nextcloudpi/ on windows and mac)
to activate your instance of NC, and save the auto generated passwords. You may
review or reset them
anytime by using nc-admin and nc-passwd.
Second: Type 'sudo ncp-config' to further configure NCP, or access ncp-web on
https://$IP:4443/
Note: You will have to add an exception, to bypass your browser warning when you
first load the activation and :4443 pages. You can run letsencrypt to get rid of
the warning if you have a (sub)domain available.
"

exit 0

# License
#
# This script is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This script is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this script; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA  02111-1307  USA

DuckDNS

http://www.duckdns.org

Enter trusted domain

NextCloudPi panel
NextCloudPi panel

Trusted domain 1
Trusted domain 1

Trusted domain 2
Trusted domain 2

Certbot script

sudo apt install certbot python-certbot-apache -y

sudo certbot --apache

Customization External storage support

Apps > Disabled Apps > External Storage Support > Enable

Apps 1
Apps 1

Apps 2
Apps 2

Settings
Settings

External storage
External storage

Dark mode support

Apps 3
Apps 3


Comments

Subscribe to the comments RSS feed.

Comment #1 posted on 2021-02-01T13:24:22Z by archer72

Show name

Yes, Ken, the show name was somewhat intentional. This was only after I saw your future show on the Internet Archive while I was preparing show notes, and thought it would be a nice play on words.

<< First, < Previous, Latest >>

Leave Comment

Note to Verbose Commenters
If you can't fit everything you want to say in the comment below then you really should record a response show instead.

Note to Spammers
All comments are moderated. All links are checked by humans. We strip out all html. Feel free to record a show about yourself, or your industry, or any other topic we may find interesting. We also check shows for spam :).

Provide feedback
Your Name/Handle:
Title:
Comment:
Anti Spam Question: What does the P in HPR stand for ?
Are you a spammer →
Who hosted this show →
What does HPR mean to you ?